### Method

# Gimp BatchProcedure set_interpreter_name

since: 3.0

#### Declaration [src]

    void
    gimp_batch_procedure_set_interpreter_name (
      GimpBatchProcedure* procedure,
      const gchar* interpreter_name
    )

#### Description [src]

Associates an interpreter name with a batch procedure.

This name can be used for any public-facing strings, such as graphical interface labels or command line usage. E.g. the command line interface could list all available interface, displaying both a procedure name and a “pretty printing” title.

Note that since the format name is public-facing, it is recommended to localize it at runtime, for instance through gettext, like:

    gimp_batch_procedure_set_interpreter_name (procedure, _("Python 3"));

Some language would indeed localize even some technical terms or acronyms, even if sometimes just to rewrite them with the local writing system.

Available since: 3.0

#### Parameters

`interpreter_name`

  Type: `const gchar*`

  A public-facing name for the interpreter, e.g. “Python 3”.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.